/********************************************************************************************************/
// Default pref for k-meleon 
/********************************************************************************************************/
pref("general.useragent.vendor", "K-Meleon");
pref("general.useragent.vendorSub", "1.1.2");
/********************************************************************************************************/
// General
pref("kmeleon.MRU.maxURLs", 16);
pref("kmeleon.MRU.behavior", 2);
pref("kmeleon.general.guest_account", false);
pref("kmeleon.general.offline", false);
pref("kmeleon.general.opengroup", "ID_OPEN_LINK|ID_OPEN_LINK_IN_BACKGROUND");
pref("kmeleon.general.openurl", "ID_OPEN_LINK");
pref("kmeleon.general.skinsCurrent", "Phoenity");
pref("kmeleon.display.newWindowOpenAs", 0);
pref("kmeleon.display.newWindowURL", "");
pref("kmeleon.general.sourceCommand", "");
pref("kmeleon.general.sourceEnabled", false);
pref("kmeleon.general.toolbars_locked", true);
/********************************************************************************************************/
// Plugins
pref("kmeleon.plugins.bmpmenu.load", true);
pref("kmeleon.plugins.crash.load", false);
pref("kmeleon.plugins.external.load", true);
pref("kmeleon.plugins.fullscreen.load", true);
pref("kmeleon.plugins.history.load", false);
pref("kmeleon.plugins.jsbridge.load", true);
pref("kmeleon.plugins.rebarmenu.load", true);
pref("kmeleon.plugins.sessions.load", true);
pref("kmeleon.plugins.toolbars.load", true);
pref("kmeleon.plugins.bookmarks.load", true);
pref("kmeleon.plugins.bookmarks.chevron", true);
pref("kmeleon.plugins.bookmarks.menuAutoDetect", true);
pref("kmeleon.plugins.bookmarks.openurl", "ID_OPEN_LINK");
pref("kmeleon.plugins.favorites.load", false);
pref("kmeleon.plugins.favorites.menuAutoDetect", true);
pref("kmeleon.plugins.favorites.openurl", "ID_OPEN_LINK");
pref("kmeleon.plugins.hotlist.load", false);
pref("kmeleon.plugins.hotlist.menuAutoDetect", true);
pref("kmeleon.plugins.hotlist.openurl", "ID_OPEN_LINK");
pref("kmeleon.plugins.gestures.load", true);
pref("kmeleon.plugins.gestures.down", "layers(OpenLinkBg)");
pref("kmeleon.plugins.gestures.downleft", "layers(Last)");
pref("kmeleon.plugins.gestures.downright", "layers(Close)");
pref("kmeleon.plugins.gestures.left", "ID_NAV_BACK");
pref("kmeleon.plugins.gestures.right", "ID_NAV_FORWARD");
pref("kmeleon.plugins.gestures.up", "layers(OpenLink)");
pref("kmeleon.plugins.gestures.upleft", "layers(Prev)");
pref("kmeleon.plugins.gestures.upright", "layers(Next)");
pref("kmeleon.plugins.layers.confirmClose", true);
pref("kmeleon.plugins.layers.load", true);
pref("kmeleon.plugins.layers.rebar", true);
pref("kmeleon.plugins.layers.style", 2);
pref("kmeleon.plugins.macros.load", true);
pref("kmeleon.plugins.macros.search.locked", true);
pref("kmeleon.plugins.macros.selected.openurl", "ID_OPEN_LINK");
pref("kmeleon.plugins.privacy.load", true);
pref("kmeleon.plugins.privacy.clearCache", 0);
pref("kmeleon.plugins.privacy.clearCookies", 0);
pref("kmeleon.plugins.privacy.clearHistory", 0);
pref("kmeleon.plugins.privacy.clearMRU", 0);
pref("kmeleon.plugins.privacy.clearSignOn", 0);
/********************************************************************************************************/
// Appearance
pref("kmeleon.display.title", "Pocket K-Meleon");	
pref("kmeleon.display.NewWindowHasUrlFocus", false);
pref("kmeleon.display.backgroundImage", "");
pref("kmeleon.display.backgroundImageEnabled", true);
pref("kmeleon.display.maximized", false);
pref("kmeleon.display.disableResize", false);
pref("kmeleon.display.backgroundImage", "");
pref("kmeleon.display.backgroundImageEnabled", true);
pref("kmeleon.display.accelInMenus", true);
pref("kmeleon.favicons.show", true);
pref("browser.chrome.site_icons", true);
pref("browser.chrome.favicons", false);
/********************************************************************************************************/
// Print
pref("print.show_print_progress", false);
pref("print.use_native_print_dialog", true);
pref("kmeleon.print.BGColors", false);
pref("kmeleon.print.BGImages", false);
pref("kmeleon.print.footerLeft", "&PT");
pref("kmeleon.print.footerMiddle", "");
pref("kmeleon.print.footerRight", "&D");
pref("kmeleon.print.headerLeft", "&T");
pref("kmeleon.print.headerMiddle", "");
pref("kmeleon.print.headerRight", "&U");
pref("kmeleon.print.scaling", 100);
pref("kmeleon.print.shrinkToFit", true); 
/********************************************************************************************************/
// Privacy
pref("signon.rememberSignons", true);
pref("capability.policy.restrictedpopups.Window.open", "allAccess");
pref("capability.policy.restrictedpopups.sites", "");
pref("dom.disable_open_during_load", true);
pref("kmeleon.favicons.cached", false);
pref("network.cookie.cookieBehavior", 1);
/********************************************************************************************************/
// Download
pref("kmeleon.download.saveType", 0);
pref("kmeleon.download.saveDir", "");
pref("kmeleon.download.saveUseTitle", true);
pref("kmeleon.download.useDownloadDir", false);
pref("kmeleon.download.askOpenSave", true);
pref("kmeleon.download.SaveUnkownContent", true);
pref("kmeleon.download.showMinimizedDialog", false);
pref("kmeleon.download.closeDownloadDialog", false);
pref("kmeleon.download.dir", "");
pref("kmeleon.download.lastDir", "");
pref("kmeleon.download.flashWhenCompleted", false);
/********************************************************************************************************/
// For the tab version only
pref("browser.tabs.autoHide", true);
pref("kmeleon.plugins.tabs.OnDoubleClick", 0);
pref("kmeleon.plugins.tabs.OnMiddleClick", 0);
pref("kmeleon.plugins.tabs.OnRightClick", 2);
pref("kmeleon.plugins.tabs.catchOpen", 1);
pref("kmeleon.plugins.tabs.confirmClose", 0);
pref("kmeleon.plugins.tabs.onCloseLast", 1);
pref("kmeleon.plugins.tabs.onCloseOption", 1);
pref("kmeleon.plugins.tabs.onOpenOption", 0);
/********************************************************************************************************/
pref("browser.cache.memory.capacity", 4096);
pref("browser.cache.disk.capacity", 0);
pref("browser.urlbar.autoFill", false);
pref("browser.urlbar.autocomplete.enabled", true);
pref("kmeleon.find.matchCase", false);
pref("kmeleon.find.searchBackwards", false);
pref("kmeleon.find.wrapAround", false);
pref("general.smoothScroll", false);
pref("general.autoScroll", true);
pref("general.warnOnAboutConfig", true);
pref("browser.link.open_external", 2); // open externally-launched links in a new window
pref("browser.link.open_newwindow", 2);
pref("browser.link.open_newwindow.restriction", 2); 
pref("browser.downloadmanager.behavior", 0);
pref("browser.xul.error_pages.enabled", true);
pref("mousewheel.withcontrolkey.action",3);
pref("dom.disable_window_flip", true);
pref("prefs.converted-to-utf8", true);
